* {
  margin: 0;
  padding: 0;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

header {
  background-color: black;
  color: white;
  width: 100%;
}
main {
  background-color: yellowgreen;
  width: 100%;
}
aside {
  background-color: aqua;
  width: 100%;
}
footer {
  background-color: black;
  color: white;
  width: 100%;
}
footer a {
  text-decoration: none;
  color: white;
}
footer a:hover {
  transition: calc(0.5s);
  color: darkgoldenrod;
}
@media screen and (max-width: 529px) {
  header {
    max-width: 100%;
  }
  header h1 {
    text-align: center;
  }
  main h2,
  h3 {
    padding: 10px;
  }
  p {
    text-align: justify;
    padding: 10px;
  }
  .mapa {
    width: 65%;
    height: auto;
    margin-left: 15%;
    margin-bottom: 10px;
  }
  .lugar {
    width: 65%;
    height: auto;
    margin-left: 15%;
  }
  aside h3,
  h2 {
    padding: 10px;
  }
  li {
    padding: 10px;
    margin-left: 5px;
    list-style: armenian;
  }
  .bandera {
    width: 45%;
    height: auto;
    margin-left: 30%;
  }
  .escudo {
    width: 25%;
    height: auto;
    margin-left: 35%;
  }
}
@media screen and (min-width: 530px) and (max-width: 1248px) {
  header {
    max-width: 100%;
  }
  header h1 {
    text-align: center;
  }
  main h2,
  h3 {
    padding: 10px;
  }
  p {
    text-align: justify;
    padding: 5px;
  }
  .mapa {
    width: 55%;
    height: auto;
    margin-left: 25%;
  }
  .lugar {
    width: 50%;
    height: auto;
    margin-left: 25%;
    margin-bottom: 10px;
  }
  .bandera {
    width: 50%;
    height: auto;
    margin-left: 25%;
  }
  .escudo {
    width: 25%;
    height: auto;
    margin-left: 40%;
    background-color: lavender;
  }
}
@media screen and (min-width: 1249px) {
  header h1,
  p {
    padding: 10px;
  }
  p {
    text-align: justify;
  }
  div {
    display: flex;
  }
  main {
    width: 80%;
  }
  main h2,
  h3 {
    padding: 10px;
  }
  .mapa {
    width: 45%;
    margin: 30px;
  }
  .lugar {
    width: 30%;
    height: auto;
    margin: 30px;
  }
  aside {
    width: 20%;
  }
  aside ul {
    padding-left: 20px;
  }
  aside section {
    padding-left: 20px;
    padding-top: 30px;
  }
  .bandera {
    width: 85%;
    height: auto;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  .escudo {
    width: 50%;
    height: auto;
    background-color: lavender;
    margin-top: 30px;
    margin-bottom: 30px;
  }
}
